package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.component.Invoke;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class InvokeBuilder extends AbstractUICommandBuilder {

	public InvokeBuilder(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		super(namespaceURI, localName, qName, attributes);
		addCustomPropertyName(JsfConstants.TYPE_ATTR);
	}

	protected UIComponent createComponent() {
		return new Invoke();
	}
}